Bug 127675 - [patch] net/nss_ldap version 259, with fix for pw_{change,expire} overflow
Summary: [patch] net/nss_ldap version 259, with fix for pw_{change,expire} overflow
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-27 05:40 UTC by gene
Modified: 2008-12-12 00:09 UTC (History)
0 users

See Also:


Attachments
nss_ldap-1.259.tar.bz2 (6.47 KB, text/plain)
2008-09-27 05:40 UTC, gene
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gene 2008-09-27 05:40:00 UTC
Attached is the updated port for net/nss_ldap version 259.

This port also includes a fix for pw_{change,expire} overflow/wraparound
bug, which is triggered when shadowMax LDAP attribute set to 99999, a
conventional "password never expires" value.

With the fix, when the calculated value of pw_{change,expire} exceeds
the range of time_t, the value is reset to 0, effectively meaning
"(password or account) never expires".  This makes sense because the
system clock (of type time_t) will wrap around before ever reaching the
calculated value.

The port was tested with OpenLDAP 2.3.

Fix: Replace the net/nss_ldap directory with the contents of the tarball
below:
Comment 1 Edwin Groothuis freebsd_committer 2008-09-27 05:40:09 UTC
Maintainer of net/nss_ldap,

Please note that PR ports/127675 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127675

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-09-27 05:40:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mark Linimon 2008-09-27 08:53:33 UTC
----- Forwarded message from "Eugene M. Kim" <gene@nttmcl.com> -----

From: "Eugene M. Kim" <gene@nttmcl.com>
To: freebsd-ports-bugs@FreeBSD.org
Subject: Re: ports/127675: [patch] net/nss_ldap version 259, with fix for
 pw_{change,expire} overflow

Just finished testing it with openldap-client-2.4.11; it works fine.  : )

Cheers,
Eugene

_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"


----- End forwarded message -----
Comment 4 Martin Matuska freebsd_committer 2008-12-06 00:16:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

I'll take it.
Comment 5 Martin Matuska freebsd_committer 2008-12-06 00:22:25 UTC
Please check ports/129445 that partially uses your patches with version
1.264 (authors seem to have fixed pw_change and pw_expire themselves).
Comment 6 dfilter service freebsd_committer 2008-12-10 16:11:34 UTC
mm          2008-12-10 16:11:25 UTC

  FreeBSD ports repository

  Modified files:
    net/nss_ldap         Makefile distinfo 
    net/nss_ldap/files   patch-ldap-pwd.c 
  Added files:
    net/nss_ldap/files   patch-Makefile.am patch-configure.in 
  Removed files:
    net/nss_ldap/files   patch-Makefile.in patch-configure 
  Log:
  - Update to 1.264 [1]
  - use more autotools [2]
  - fixes assertion problems related to openldap 2.4 [3]
  
  PR:     ports/129445 [1], ports/127675 [2], ports/122750 [3]
  Submitted by:   mm [1], "Eugene M. Kim" <gene@nttmcl.com> [2]
  Approved by:    maintainer (timeout ports/127675, ports/129030, ports/127675)
  
  Revision  Changes    Path
  1.26      +5 -3      ports/net/nss_ldap/Makefile
  1.15      +3 -3      ports/net/nss_ldap/distinfo
  1.1       +39 -0     ports/net/nss_ldap/files/patch-Makefile.am (new)
  1.8       +0 -82     ports/net/nss_ldap/files/patch-Makefile.in (dead)
  1.6       +0 -89     ports/net/nss_ldap/files/patch-configure (dead)
  1.1       +26 -0     ports/net/nss_ldap/files/patch-configure.in (new)
  1.3       +3 -3      ports/net/nss_ldap/files/patch-ldap-pwd.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Martin Matuska freebsd_committer 2008-12-12 00:09:35 UTC
State Changed
From-To: feedback->closed

Partially implemented (maintainer timeout). Thanks!